import os
import inspect
from run import Module, SubprocessTask

class ManageModule(Module):
    
    #Meta
    
    @property
    def meta_basedir(self):
        return os.path.dirname(inspect.getfile(type(self)))
    
    #Tasks
    
    build = SubprocessTask(
        prefix='sphinx-build -b html -d _build/doctrees . _build/html',
    )